Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class Macros.Recorder

    java.lang.Object
      org.gjt.sp.jedit.Macros.Recorder

All Implemented Interfaces:
  EBComponent

Enclosing class:
  Macros

public static class Macros.Recorder
extends java.lang.Object
implements EBComponent

Handles macro recording.

Constructor Summary
`Macros.Recorder(View view, Buffer buffer, boolean temporary)`

Method Summary
`void` | `handleMessage(EBMessage msg)` Handles a message sent on the EditBus.
`void` | `record(int repeat, java.lang.String code)`
`void` | `record(java.lang.String code)`
`void` | `recordInput(int repeat, char ch, boolean overwrite)`
`void` | `recordInput(java.lang.String str, boolean overwrite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Macros.Recorder

    public Macros.Recorder(View view,
                           Buffer buffer,
                           boolean temporary)

Method Detail

### record

    public void record(java.lang.String code)

### record

    public void record(int repeat,
                       java.lang.String code)

### recordInput

    public void recordInput(int repeat,
                            char ch,
                            boolean overwrite)

  Since:
    jEdit 4.2pre5

### recordInput

    public void recordInput(java.lang.String str,
                            boolean overwrite)

  Since:
    jEdit 4.2pre5

### handleMessage

    public void handleMessage(EBMessage msg)

  Description copied from interface: `EBComponent`
  Handles a message sent on the EditBus. This method must specify the type of responses the plugin will have for various subclasses of the `EBMessage` class. Typically this is done with one or more `if` blocks that test whether the message is an instance of a derived message class in which the component has an interest. For example:

       if(msg instanceof BufferUpdate) {
           // a buffer's state has changed!
       }
       else if(msg instanceof ViewUpdate) {
           // a view's state has changed!
       }
       // ... and so on

  Specified by:
    `handleMessage` in interface `EBComponent`
  Parameters:
    `msg` - The message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD